
Installer - Bug #30252

error Error reading socket: Encountered end of file [-5938] when starting qpidd service

06/30/2020 02:55 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1772526 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-qpi

d/pull/137

  

Description

Related issues:

Related to Installer - Bug #27637: qpidd fails to start with ncat > 6.40 Resolved

Associated revisions

Revision 57b9a125 - 11/17/2020 06:06 PM - Eric Helms

Fixes #30252: Make wait for port more resilient

The current method can result in journal error messages:

[System] error Error reading socket: Encountered end of file [-5938]

This updated version waits and checks for listening ports

and greps for the port in question to appear before signaling

that the service is ready.

History

#1 - 06/30/2020 02:55 PM - Eric Helms

- Bugzilla link set to 1772526

#2 - 11/11/2020 09:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-qpid/pull/137 added

#3 - 11/17/2020 06:06 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#4 - 11/17/2020 06:06 PM - Eric Helms

- Related to Bug #27637: qpidd fails to start with ncat > 6.40 added

#5 - 11/17/2020 06:08 PM - Eric Helms

- Fixed in Releases 2.3.0 added

- Fixed in Releases deleted (2.4.0)

#6 - 11/17/2020 07:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-qpid|57b9a125fc51689110813161e46041d1e7403ff3.
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-qpid/revisions/57b9a125fc51689110813161e46041d1e7403ff3


#7 - 11/30/2020 05:53 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.3.0

- Triaged changed from No to Yes
